Loading...
Searching...
No Matches
websocketpp::frame::limits Namespace Reference

Constants related to frame and payload limits. More...

## Variables

static unsigned int const | basic_header_length = 2
| Minimum length of a WebSocket frame header.
static unsigned int const | max_header_length = 14
| Maximum length of a WebSocket header.
static unsigned int const | max_extended_header_length = 12
| Maximum length of the variable portion of the WebSocket header.
static uint8_t const | payload_size_basic = 125
| Maximum size of a basic WebSocket payload.
static uint16_t const | payload_size_extended = 0xFFFF
| Maximum size of an extended WebSocket payload (basic payload = 126).
static uint64_t const | payload_size_jumbo = 0x7FFFFFFFFFFFFFFFLL
| Maximum size of a jumbo WebSocket payload (basic payload = 127).
static uint8_t const | close_reason_size = 123
| Maximum size of close frame reason.

## Detailed Description

Constants related to frame and payload limits.

## Variable Documentation

## basic_header_length

unsigned int const websocketpp::frame::limits::basic_header_length = 2

static

Minimum length of a WebSocket frame header.

Definition at line 147 of file frame.hpp.

## close_reason_size

uint8_t const websocketpp::frame::limits::close_reason_size = 123

static

Maximum size of close frame reason.

This is payload_size_basic - 2 bytes (as first two bytes are used for the close code

Definition at line 169 of file frame.hpp.

## max_extended_header_length

unsigned int const websocketpp::frame::limits::max_extended_header_length = 12

static

Maximum length of the variable portion of the WebSocket header.

Definition at line 153 of file frame.hpp.

## max_header_length

unsigned int const websocketpp::frame::limits::max_header_length = 14

static

Maximum length of a WebSocket header.

Definition at line 150 of file frame.hpp.

## payload_size_basic

uint8_t const websocketpp::frame::limits::payload_size_basic = 125

static

Maximum size of a basic WebSocket payload.

Definition at line 156 of file frame.hpp.

## payload_size_extended

uint16_t const websocketpp::frame::limits::payload_size_extended = 0xFFFF

static

Maximum size of an extended WebSocket payload (basic payload = 126).

Definition at line 159 of file frame.hpp.

## payload_size_jumbo

uint64_t const websocketpp::frame::limits::payload_size_jumbo = 0x7FFFFFFFFFFFFFFFLL

static

Maximum size of a jumbo WebSocket payload (basic payload = 127).

Definition at line 162 of file frame.hpp.